<svelte:options tag="hello-world" />

<script>

	/**
	 * This component will be built as a standalone component because :
	 * - He has the tag <svelte:options tag="hello-world" />
	 * - The tag is a 2-words name
	 * - The filename is with the .wc.svelte extension
	 */

	import { formatCurrency } from "../services/helpers";
	import { send } from "../services/apiService";
	import { onMount } from "svelte";
	import Progress from "./Progress.svelte";

	export let price = null;

	let promise = Promise.resolve([]);
	let currency = {};
	let infos = {};

	onMount(async () => {
		promise = send({
			method: "GET",
			path: "/infos",
		});

		infos = await promise;
	});

	$: priceFormated = formatCurrency({ price: parseFloat(price) });

</script>
<style>
	ul {
		margin: 0;
		color:var(--color-textSecondary);
	}
</style>

<div class="hello-world">
	Hello World !

	<div>
		{#await promise}
			<Progress />
		{:then infos}

			<ul>
				<li>Site country is : {infos.country}</li>
				<li>Site language is : {infos.language}</li>
				<li>Site status is : {infos.status}</li>
				{#if price}
					<li>Price format is :  {priceFormated}</li>
				{/if}
			</ul>

		{:catch error}
			<p style="color: red">{error.message}</p>
		{/await}
	</div>

</div>

